package ctbrec.ui.news;

import java.time.ZonedDateTime;
import java.time.format.DateTimeFormatter;
import java.time.format.FormatStyle;

import ctbrec.io.HtmlParser;
import ctbrec.ui.DesktopIntegration;
import javafx.geometry.Insets;
import javafx.geometry.Pos;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.TextArea;
import javafx.scene.layout.StackPane;

public class StatusPane extends StackPane {

    public StatusPane(Status status) {
        String text = HtmlParser.getText("<div>" + status.getContent() + "</div>", "div");
        TextArea content = new TextArea(text);
        content.setMaxHeight(130);
        content.setEditable(false);
        content.setWrapText(true);
        getChildren().add(content);

        ZonedDateTime createdAt = status.getCreationTime();
        String creationTime = DateTimeFormatter.ofLocalizedDateTime(FormatStyle.SHORT, FormatStyle.SHORT).format(createdAt);
        Label time = new Label(creationTime);
        getChildren().add(time);
        StackPane.setMargin(time, new Insets(5));
        StackPane.setAlignment(time, Pos.BOTTOM_LEFT);

        Button reply = new Button("Reply");
        reply.setOnAction((evt) -> DesktopIntegration.open(status.getUrl()));
        getChildren().add(reply);
        StackPane.setMargin(reply, new Insets(5));
        StackPane.setAlignment(reply, Pos.BOTTOM_RIGHT);
    }
}
